<div class="slider">
  <div>
    <div (click)="goToPrevious()" class="leftArrow">
      <svg width="25" height="25" viewBox="0 0 20 20" fill="var(--sepia)" xmlns="http://www.w3.org/2000/svg">
        <path d="M9.325 13.325C9.50833 13.5083 9.73767 13.5957 10.013 13.587C10.2877 13.579 10.5167 13.4833 10.7 13.3C10.8833 13.1167 10.975 12.8833 10.975 12.6C10.975 12.3167 10.8833 12.0833 10.7 11.9L9.8 11H13.025C13.3083 11 13.5417 10.904 13.725 10.712C13.9083 10.5207 14 10.2833 14 10C14 9.71667 13.9043 9.479 13.713 9.287C13.521 9.09567 13.2833 9 13 9H9.8L10.725 8.075C10.9083 7.89167 10.996 7.66233 10.988 7.387C10.9793 7.11233 10.8833 6.88333 10.7 6.7C10.5167 6.51667 10.2833 6.425 10 6.425C9.71667 6.425 9.48333 6.51667 9.3 6.7L6.7 9.3C6.51667 9.48333 6.425 9.71667 6.425 10C6.425 10.2833 6.51667 10.5167 6.7 10.7L9.325 13.325ZM10 20C8.61667 20 7.31667 19.7373 6.1 19.212C4.88333 18.6873 3.825 17.975 2.925 17.075C2.025 16.175 1.31267 15.1167 0.788 13.9C0.262667 12.6833 0 11.3833 0 10C0 8.61667 0.262667 7.31667 0.788 6.1C1.31267 4.88333 2.025 3.825 2.925 2.925C3.825 2.025 4.88333 1.31233 6.1 0.787C7.31667 0.262333 8.61667 0 10 0C11.3833 0 12.6833 0.262333 13.9 0.787C15.1167 1.31233 16.175 2.025 17.075 2.925C17.975 3.825 18.6873 4.88333 19.212 6.1C19.7373 7.31667 20 8.61667 20 10C20 11.3833 19.7373 12.6833 19.212 13.9C18.6873 15.1167 17.975 16.175 17.075 17.075C16.175 17.975 15.1167 18.6873 13.9 19.212C12.6833 19.7373 11.3833 20 10 20Z" fill="var(--sepia)"/>
      </svg>
    </div>
    <div (click)="goToNext()" class="rightArrow">
      <svg width="25" height="25" viewBox="0 0 20 20" fill="var(--sepia)" xmlns="http://www.w3.org/2000/svg">
        <path d="M10 14L14 10L10 6L8.6 7.4L10.2 9H6V11H10.2L8.6 12.6L10 14ZM10 20C8.61667 20 7.31667 19.7373 6.1 19.212C4.88333 18.6873 3.825 17.975 2.925 17.075C2.025 16.175 1.31267 15.1167 0.788 13.9C0.262667 12.6833 0 11.3833 0 10C0 8.61667 0.262667 7.31667 0.788 6.1C1.31267 4.88333 2.025 3.825 2.925 2.925C3.825 2.025 4.88333 1.31233 6.1 0.787C7.31667 0.262333 8.61667 0 10 0C11.3833 0 12.6833 0.262333 13.9 0.787C15.1167 1.31233 16.175 2.025 17.075 2.925C17.975 3.825 18.6873 4.88333 19.212 6.1C19.7373 7.31667 20 8.61667 20 10C20 11.3833 19.7373 12.6833 19.212 13.9C18.6873 15.1167 17.975 16.175 17.075 17.075C16.175 17.975 15.1167 18.6873 13.9 19.212C12.6833 19.7373 11.3833 20 10 20Z" fill="var(--sepia)"/>
      </svg>
    </div>
  </div>
  <div
    [@fadeIn]="currentIndex"
    class="slide"
    [ngStyle]="{ 'background-image': getCurrentSlideUrl() }"
  ></div>
  <div *ngIf="isDots" class="dotsContainer">
    <div
      *ngFor="let slide of slides; let slideIndex = index"
      class="dot"
      (click)="goToSlide(slideIndex)"
    >
      ●
    </div>
  </div>
</div>
